summarylogtreecommitdiffstats
path: root/mullvad-vpn.install
diff options
context:
space:
mode:
authorMark Wagie2020-10-06 11:24:36 -0600
committerMark Wagie2020-10-06 11:24:36 -0600
commit8f2d82075a7855d9c2e5593376d5cacd6f626390 (patch)
tree002e306113245569e876304f1414712ff8e24404 /mullvad-vpn.install
parent0082ffa271ff5a2effa78f1697e1d411c580c5a5 (diff)
downloadaur-8f2d82075a7855d9c2e5593376d5cacd6f626390.tar.gz
2020.6-beta3
Diffstat (limited to 'mullvad-vpn.install')
-rw-r--r--mullvad-vpn.install10
1 files changed, 8 insertions, 2 deletions
diff --git a/mullvad-vpn.install b/mullvad-vpn.install
index 95ec59694b77..b348092ea0fc 100644
--- a/mullvad-vpn.install
+++ b/mullvad-vpn.install
@@ -5,14 +5,16 @@ pre_install() {
systemctl disable --now mullvad-daemon
fi
+ pkill -x "mullvad-gui" || true
+
rm -f /var/cache/mullvad-vpn/relays.json || true
}
post_install() {
+ chmod u+s "/usr/bin/mullvad-exclude"
+
echo 'Enabling Mullvad VPN daemon...'
systemctl enable --now mullvad-daemon
-
- chmod u+s "/usr/bin/mullvad-exclude"
}
pre_upgrade() {
@@ -28,10 +30,14 @@ post_upgrade() {
}
pre_remove() {
+ /usr/bin/mullvad account clear-history || echo "Failed to remove leftover WireGuard keys"
+
# the user might've disabled or stopped the service themselves already
echo 'Making sure the Mullvad VPN daemon is stopped & disabled...'
systemctl stop mullvad-daemon || true
systemctl disable mullvad-daemon || true
+
+ /opt/Mullvad\ VPN/resources/mullvad-setup reset-firewall || true
}
post_remove() {